<?php

namespace Ulmus\Attribute\Property;

#[\Attribute(\Attribute::TARGET_PROPERTY)]
class Field {
    public function __construct(
        public ? string $name = null,
        public ? string $type = null,
        public null|int|string $length = null,
        public ? int $precision = null,
        public array $attributes = [],
        public bool $nullable = false,
        public mixed $default = null,
        public bool $readonly = false,
        public null|int $decimal = null,
    ) {}
}
